Last Comment Bug 547931 - Update Help for the additional settings in Software Installation preferences
: Update Help for the additional settings in Software Installation preferences
Status: RESOLVED FIXED
: fixed-seamonkey2.0.5
Product: SeaMonkey
Classification: Client Software
Component: Help Documentation (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
Mentors:
Depends on: 541665
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-23 00:49 PST by Philip Chee
Modified: 2010-05-04 09:16 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
needed


Attachments
patch (3.34 KB, patch)
2010-03-06 12:09 PST, Jens Hatlak (:InvisibleSmiley)
no flags Details | Diff | Splinter Review
patch v2 (3.54 KB, patch)
2010-05-01 07:29 PDT, Jens Hatlak (:InvisibleSmiley)
no flags Details | Diff | Splinter Review
patch v3 [Checkin: comments 14+18] (3.26 KB, patch)
2010-05-02 13:50 PDT, Jens Hatlak (:InvisibleSmiley)
stefanh: review+
kairo: approval‑seamonkey2.0.5+
Details | Diff | Splinter Review

Description Philip Chee 2010-02-23 00:49:20 PST
From https://bugzilla.mozilla.org/show_bug.cgi?id=541665#c15

[Sync Suite pref-smartupdate.* with mozilla-central]

> Could you make sure that there is bug open for updating the help to reflect the
> changes in this bug
Comment 1 Jens Hatlak (:InvisibleSmiley) 2010-03-06 12:09:48 PST
Created attachment 430868 [details] [diff] [review]
patch

Note: I don't know whether the reference to the Help menu is correct for Mac. If not we can hopefully describe it in a platform-neutral way. I'd just like that part to stay in since it really gives some additional information to what you get by just reading the options present in the interface.
Comment 2 Stefan [:stefanh] 2010-03-15 14:11:58 PDT
Sorry for not having looked this yet, but time is not on my side atm. I'll try to look at this in the next 1-2 weeks.
Comment 3 Stefan [:stefanh] 2010-04-20 12:44:23 PDT
Comment on attachment 430868 [details] [diff] [review]
patch

Initial comments by reading the patch, I hope to look more at this over the weekend. Sorry for being slow, but I'm really busy IRL atm.

+      <li><strong>Automatically download and install the update</strong>: Select
+        this if you want &brandShortName; to automatically download and install
+        updates for you when they become available. The download will happen in
+        the background, with low priority. You can monitor its progress by
The low priority, what does that mean? That the download will happen in a slower pace?

+        looking at the Help menu. The menu item that normally reads Check for
+        Updates will change to Downloading (Update Name). Clicking that item
"Selecting the menu item"

+        will open the progress dialog and give the download priority. Once the
This is the download progress dialog, right? Better say that. Also wondering about the priority.

+        download finishes the item will change to Apply Downloaded Update Now.
"the menu item label" Can you select the menu item and apply the update (since you could do that in the previous state)?

+        The next time you restart &brandShortName; after that the update will
+        be applied.</li>
"The update will be applied after you have restarted &brandShortName;"?

+      <li><strong>Warn me if this will disable any of my add-ons</strong>:
+        Select this to be notified if an update that would otherwise have been
+        installed automatically would disable any of your add-ons. In that case
+        you will be shown a list of incompatible add-ons and you can choose
+        whether you want to download and install the update anyway or not.</li>
I think it sounds better without "anyway"
Comment 4 Jens Hatlak (:InvisibleSmiley) 2010-04-21 12:06:33 PDT
(In reply to comment #3)
> +      <li><strong>Automatically download and install the update</strong>:
> Select
> +        this if you want &brandShortName; to automatically download and
> install
> +        updates for you when they become available. The download will happen
> in
> +        the background, with low priority. You can monitor its progress by
> The low priority, what does that mean? That the download will happen in a
> slower pace?

Yes, (very) slow speed. I have no actual numbers, though.

> +        looking at the Help menu. The menu item that normally reads Check for
> +        Updates will change to Downloading (Update Name). Clicking that item
> "Selecting the menu item"

Right, not necessarily clicking (think keyboard).

> +        will open the progress dialog and give the download priority. Once the
> This is the download progress dialog, right? Better say that. Also wondering
> about the priority.

Yes, update download progress dialog (not to be confused with Download Manager standalone progress windows of course) so I'm OK with "download progress dialog". By "give ... priority" I mean releasing the hand brake, i.e. the download will then run at full speed.

> +        download finishes the item will change to Apply Downloaded Update Now.
> "the menu item label" Can you select the menu item and apply the update (since
> you could do that in the previous state)?

Sure, label. And yes you can select the menu item.

> +        The next time you restart &brandShortName; after that the update will
> +        be applied.</li>
> "The update will be applied after you have restarted &brandShortName;"?

That's not really the same. I understand "after you have restarted" as "after closing and restarting the application, letting it finish loading". With my wording I wanted to show that the update will be applied as part of the restart process.

> +      <li><strong>Warn me if this will disable any of my add-ons</strong>:
> +        Select this to be notified if an update that would otherwise have been
> +        installed automatically would disable any of your add-ons. In that
> case
> +        you will be shown a list of incompatible add-ons and you can choose
> +        whether you want to download and install the update anyway or
> not.</li>
> I think it sounds better without "anyway"

Fine with me.
Comment 5 Stefan [:stefanh] 2010-04-26 14:23:58 PDT
I was looking at this agian, but then I hit bug 561663 :-(
Comment 6 Robert Kaiser 2010-04-27 06:10:50 PDT
Needed at some point in time of the 2.1 series, but don't want to block a specific release for it.
Comment 7 Stefan [:stefanh] 2010-04-27 13:46:39 PDT
> > This is the download progress dialog, right? Better say that. Also wondering
> > about the priority.
> 
> Yes, update download progress dialog (not to be confused with Download Manager
> standalone progress windows of course) so I'm OK with "download progress
> dialog". By "give ... priority" I mean releasing the hand brake, i.e. the
> download will then run at full speed.

Actually, this is the Software Update dialog and it shows all different stages of the process, not just downloads.
 
> > +        The next time you restart &brandShortName; after that the update will
> > +        be applied.</li>
> > "The update will be applied after you have restarted &brandShortName;"?
> 
> That's not really the same. I understand "after you have restarted" as "after
> closing and restarting the application, letting it finish loading". With my
> wording I wanted to show that the update will be applied as part of the restart

OK, "The update will be installed the next time you start &brandShortName;"

+        the background, with low priority. You can monitor its progress by
+        looking at the Help menu. The menu item that normally reads Check for
+        Updates will change to Downloading (Update Name). Clicking that item
+        will open the progress dialog and give the download priority. Once the
+        download finishes the item will change to Apply Downloaded Update Now.
+        The next time you restart &brandShortName; after that the update will

I'm fine with the low priority, but I'm not sure how using the menuitem for monitoring a download of an update would happen in practice. If you want to monitor the download, you would need some kind of initial notification which you don't get if you have this pref set. My point here is that if I want to monitor an update I would have turned this pref off.

On mac, it's also a bit odd because once the dialog is visible there's no menubar (since the dialog doesn't have its own), so in order to get to the menu you have to switch focus to the application window.

Perhaps you can mention something about the menuitem label reflecting the different stages of the update process and also that selecting the menuitem will open/show/switching focus to the Software Update dialog in a separate section?
Comment 8 Jens Hatlak (:InvisibleSmiley) 2010-05-01 07:29:17 PDT
Created attachment 442917 [details] [diff] [review]
patch v2

I picked up your point of not talking about monitoring since it's really more and status indication. However I chose to leave the part about the changing menu item in the proximity of the pref description because I'm talking about download priority in both places (and I'm too lazy to create a new section ;-)). The Note style is the same as in the section above (Advanced Proxy Preferences).
Comment 9 Stefan [:stefanh] 2010-05-02 07:26:35 PDT
+        <p><strong>Note</strong>: Once the update process has been initiated the
+        label of the Help menu item that normally reads Check for Updates will
+        change to Downloading. Selecting the menu item then will open the
+        Software Update dialog and give the download priority. When the download
+        completes the label will change to Apply Downloaded Update Now.
+        If you select the menu item &brandShortName; will restart and apply the
+        update immediately.</p></li>

The problem here is that it's in the Software Update dialog you actually do things. Selecting the menuitem will only open/switch focus to the dialog, except for the initial case (selecting "Check for update..."). The last sentense is therefore wrong, because you don't restart from the menu, you restart from the dialog.

I still think it's better to just say something in general, and not focusing on the automatic update but instead focus on the manual update or that you can force an update check regardless of the prefs by selecting the menuitem and that that will open the dialog where you can follow/do stuff

Something like "The menu item label will reflect each stage of the update process (will change according to the stage/state or something) ... If you have blah blah turned off, you can still initailaze an update check by selecting the menuitem... ... (or you can always start an update check by...)

you get the idea :-)




+      <li><strong>Warn me if this will disable any of my add-ons</strong>:
+        Select this to be notified if an update that would otherwise have been
+        installed automatically would disable any of your add-ons. In that case
+        you will be shown a list of incompatible add-ons and you can choose
+        whether you want to download and install the update or not.</li>

"Select this to be notified if an automatic update will disable any of your installed add-ons. In that case, you will be shown..."
Comment 10 Jens Hatlak (:InvisibleSmiley) 2010-05-02 13:50:50 PDT
Created attachment 443007 [details] [diff] [review]
patch v3 [Checkin: comments 14+18]

(In reply to comment #9)
> you don't restart from the menu, you restart from the dialog.

Oops, you're right. My bad, I was so sure that I seemed to not have checked. I guess I'm just too accustomed to the behavior of Tools / Restart SeaMonkey (courtesy of ChromEdit Plus). And I missed the hint of the ellipsis.

> I still think it's better to just say something in general, and not focusing on
> the automatic update but instead focus on the manual update or that you can
> force an update check regardless of the prefs by selecting the menuitem and
> that that will open the dialog where you can follow/do stuff

I tried to back off a little. The result is that I'm now no longer talking about the dialog at all and I moved the Note paragraph to the end of the outer list item which hopefully makes more sense in light of its heading (When updates to SeaMonkey are found).

> "Select this to be notified if an automatic update will disable any of your
> installed add-ons. In that case, you will be shown..."

Accepted, except for the comma.
Comment 11 Stefan [:stefanh] 2010-05-03 12:42:55 PDT
+    <p><strong>Note</strong>: You can use Check for Updates from the Help menu
+      to manually initiate the search for a &brandShortName; update. The label
+      of the menu item will change when an update is being downloaded or ready
+      to be applied.</p>

Should we mention something about the dialog? Or should we do that in another bug?
Comment 12 Jens Hatlak (:InvisibleSmiley) 2010-05-03 13:03:01 PDT
(In reply to comment #11)
> +    <p><strong>Note</strong>: You can use Check for Updates from the Help menu
> +      to manually initiate the search for a &brandShortName; update. The label
> +      of the menu item will change when an update is being downloaded or ready
> +      to be applied.</p>
> 
> Should we mention something about the dialog? Or should we do that in another
> bug?

KISS -> new bug (if need be).
Comment 13 Stefan [:stefanh] 2010-05-03 13:05:58 PDT
Comment on attachment 443007 [details] [diff] [review]
patch v3 [Checkin: comments 14+18]

OK, I guess we can do the dialog in another bug.
Comment 14 Jens Hatlak (:InvisibleSmiley) 2010-05-03 13:36:07 PDT
Comment on attachment 443007 [details] [diff] [review]
patch v3 [Checkin: comments 14+18]

http://hg.mozilla.org/comm-central/rev/e256c6c806b7

(Pushed without the trailing whitespace error at patch line 39.)
Comment 15 Jens Hatlak (:InvisibleSmiley) 2010-05-03 13:44:03 PDT
Comment on attachment 443007 [details] [diff] [review]
patch v3 [Checkin: comments 14+18]

Patch applies cleanly to the branch.
Comment 16 Ian Neal 2010-05-04 05:04:11 PDT
Comment on attachment 443007 [details] [diff] [review]
patch v3 [Checkin: comments 14+18]

I thought we didn't do locale changes on a branch except in special circumstances and then it would have be announced on the relevant locale newsgroups/mailing lists?
Comment 17 Robert Kaiser 2010-05-04 05:07:33 PDT
(In reply to comment #16)
> (From update of attachment 443007 [details] [diff] [review])
> I thought we didn't do locale changes on a branch except in special
> circumstances and then it would have be announced on the relevant locale
> newsgroups/mailing lists?

Help is an exception to that policy, as long as the collection of files to package stays the same.
Comment 18 Jens Hatlak (:InvisibleSmiley) 2010-05-04 09:15:10 PDT
Comment on attachment 443007 [details] [diff] [review]
patch v3 [Checkin: comments 14+18]

http://hg.mozilla.org/releases/comm-1.9.1/rev/70603b8a1cbf

Note You need to log in before you can comment on or make changes to this bug.